﻿<html>

<head>
   <meta http-equiv="Content-type" content="text/html;charset=UTF-8" />
   <title><!$MG_Publisher> : <!$MG_ApplicationTitle></title>

   <script type="text/javascript">
      var runtimeVersion = "2.0.0";
      var varDotnetInstalled = false;
      var varMsHtmlSetupInstalled= false;
     
      function initialize() 
      {
         varDotnetInstalled = isDotnetInstalled();
         varMsHtmlSetupInstalled = isMsHtmlSetupInstalled();
      }
     
      /*
       * .Net Framework
       */
      function isDotnetInstalled() 
      {
         installed = hasRuntimeVersion (runtimeVersion);
         if (installed)
             buttonDotNet.disabled = true;
         return installed;
      }
      function hasRuntimeVersion(v) 
      {
         var va = getVersion(v);
         var i;
         var a = navigator.userAgent.match(/\.NET CLR [0-9.]+/g);
         if (a != null)
             for (i = 0; i < a.length; ++i)
                 if (compareVersions(va, getVersion(a[i])) <= 0)
                     return true;
         return false;
      }
      function getVersion(v) 
      {
         var a = v.match(/([0-9]+)\.([0-9]+)\.([0-9]+)/i);
         return a.slice(1);
      }
      function compareVersions(v1, v2) 
      {
         for (i = 0; i < v1.length; ++i) {
             var n1 = new Number(v1[i]);
             var n2 = new Number(v2[i]);
             if (n1 < n2)
                 return -1;
             if (n1 > n2)
                 return 1;
         }
         return 0;
      }
      function installDotNet() 
      {
         window.open("<!$MG_Protocol>://<!$MG_PublishServerName>/<!$MG_RCScriptsAlias>/NetFx20SP1_x86.exe", null, null);
         buttonDotNet.disabled = true;
      }

      /*
      * MsHtml
      */
      function isMsHtmlSetupInstalled() 
      {
         var installed = isMshtmlinGAC();
         if (installed == 'y')
             buttonMSHtmlSetup.disabled = true;
         return installed;
      }
      function isMshtmlinGAC() 
      {
         try{
             var wshell = new ActiveXObject("wscript.shell");
             var windir = wshell.ExpandEnvironmentStrings("%WINDIR%");
             var foldername= windir + "\\assembly\\GAC\\Microsoft.mshtml";
             var fileObject = new ActiveXObject('Scripting.FileSystemObject');
             var mshtmlExists = fileObject.FolderExists(foldername)== true ? 'y' : 'n';
             return mshtmlExists;
         }
         catch (ex){
             return'e';
         }
      }
      function installMsHtmlSetup() 
      {
         window.open("<!$MG_Protocol>://<!$MG_PublishServerName>/<!$MG_RCScriptsAlias>/MshtmlSetup.msi", null, null);
         buttonMSHtmlSetup.disabled = true;
      }

      /*
       * launch the application
       */
      function launchApplication()
      {
         var sRequiredCookies = collectRequiredCookies();
         var sAppQuery = "";

         if (sRequiredCookies.length > 0)
            sAppQuery = "?cookies=" + sRequiredCookies;

         var sHREF = "<!$MG_Protocol>://<!$MG_PublishServerName>/<!$MG_RCProjectsAlias>/<!$MG_ApplicationTitle>.application" + sAppQuery;
      
         //document.write("Application query: " + sHREF + "<BR/>");
         window.location.href = sHREF;
      }
     
      /*
       * collect selected cookies that will be sent by the RC on every request to the server
       */
      function collectRequiredCookies()
      {
         //document.write("All session cookies:<br/>");
         //document.write(document.cookie + "<br/>");

         var aRequiredCookies = new Array();
         //aRequiredCookies[0] = "reqCookieName1";
         //aRequiredCookies[1] = "reqCookieName2";
      
         var sCollectedCookies = new String();

         if (aRequiredCookies.length > 0 && document.cookie && document.cookie != '')
         {
            var aDocumentCookies = document.cookie.split(';');
            for (var i = 0; i < aDocumentCookies.length; i++) 
            {
               var name_value = aDocumentCookies[i].split("=");
               name_value[0] = name_value[0].replace(/^ /, '');
               
               var cookieName = decodeURIComponent(name_value[0]);
               var cookieValue = decodeURIComponent(name_value[1]);
               
               for (var j = 0; j < aRequiredCookies.length; j++)
               {
                  if (cookieName == aRequiredCookies[j])
                  {
                     if (sCollectedCookies.length > 0)
                        sCollectedCookies += ",";
                     sCollectedCookies += (cookieName  + "=" +cookieValue);
                     break;
                  }
               }
            }
         }

         //document.write("<br/>All collected required cookies: <br/>");
         //document.write(sCollectedCookies + "<br/>");
         
         return sCollectedCookies;
      }
   </script>

   <style type="text/css">
      .ButtonText
      {
         font-family: =="Verdana";font-size="12px";font-weight="bold";color=#02448E;width:175px;height:48px;>
      }
      .ButtonTextLarge
      {
         font-family: =="Verdana";font-size="16px";font-weight="bold";color=#02448E;width:175px;height:48px;>
      }
   </style>
</head>

<body onload="initialize()">

   <xml id="rcExecProps">
      <properties>
         <property key="protocol" val="<!$MG_Protocol>"/>
         <property key="server" val="<!$MG_AppServerName>"/>
         <property key="requester" val="<!$MG_ScriptsFolderRequesterName>"/>
         <property key="appname" val="<!$MG_ProjectName>"/>
         <property key="prgname" val="<!$MG_ProgramName>"/>
         <property key="arguments" val=""/>
         <property key="envvars" val="<!$MG_EnvVariablesToRead>"/>
         <property key="UseWindowsXPThemes" val="<!$MG_usewinxptheme>"/>
         <property key="HTTPCompressionLevel" val="Normal"/>
         <property key="LogClientSequenceForActivityMonitor" val="N"/>
         <property key="LogonWindowIconURL" val=""/>
         <property key="LogonImageURL" val=""/>
         <property key="LogonWindowTitle" val="ログオン"/>
         <property key="LogonGroupTitle" val="ログオンパラメータ"/>
         <property key="LogonMessageCaption" val="ユーザIDとパスワードを入力してください."/>
         <property key="LogonUserIDCaption" val="ﾕｰｻﾞID"/>
         <property key="LogonPasswordCaption" val="ﾊﾟｽﾜｰﾄﾞ"/>
         <property key="LogonOKCaption" val="OK"/>
         <property key="LogonCancelCaption" val="ｷｬﾝｾﾙ"/>
         <!--property key="DisplayStatisticInformation" val="N"/>
         <property key="InternalLogLevel" val="server"/>
         <property key="InternalLogFile" val=""/>
         <property key="InternalLogSync" val="Session"/-->
      </properties>
   </xml>
   
   <table align="center">
      <tr>
         <td align="right">
            <img src="<!$MG_Protocol>://<!$MG_PublishServerName>/<!$MG_RCProjectsAlias>/Images/Web-page_logo-uni.gif" />
         </td>
      </tr>
      <tr>
         <td valign="bottom" height="400" width="800" background="<!$MG_Protocol>://<!$MG_PublishServerName>/<!$MG_RCProjectsAlias>/Images/Web-page_background_center.jpg"
            style="background-repeat: no-repeat;">
            <table border="0" cellpadding="5">
               <tr height="120">
                  <td colspan="4" width="800">
                     <table>
                        <tr>
                           <td width="230" align="center">
                              <font size="5" face="Verdana" color="#02448E">ようこそ</font>
                           </td>
                           <td>
                              &nbsp
                           </td>
                        </tr>
                        <tr>
                           <td width="230">
                              &nbsp
                           </td>
                           <td style="WORD-BREAK:BREAK-ALL; display: block; overflow: auto; word-wrap: break-word;">
                              <font size="2" face="Verdana" color="#02448E">アプリケーション: <b><!$MG_ApplicationTitle><br>
                                 <!$MG_ApplicationDescription></b><br>
                                 発行元: <b><!$MG_Publisher></b><br>
                              </font>
                           </td>
                        </tr>
                     </table>
                  </td>
               </tr>
               <tr>
                  <td width="100">
                     &nbsp
                  </td>
                  <td width="300">
                     <font size="3" face="Verdana" color="#555555">起動アプリケーション:</font>
                  </td>
                  <td width="150">
                     <input type="button" onclick="launchApplication()" value="起動" id="buttonApplication"
                        class="ButtonTextLarge" />
                  </td>
                  <td width="250">
                     &nbsp
                  </td>
               </tr>
               <tr>
                  <td>
                     &nbsp
                  </td>
                  <td>
                     <div id="prerequisitesTitle">
                        <font size="3" face="Verdana" color="#666666">次の実行環境が必要です:</font></div>
                  </td>
                  <td>
                     <input type="button" class="ButtonText" onclick="installMsHtmlSetup()" value="MSHtml Setup"
                        id="buttonMSHtmlSetup" />
                     <a href="http://msdn.microsoft.com/en-us/library/bb498651(VS.85).aspx" target="_new">
                        <font size="1" face="Verdana" color="#666666">詳細</font></a>
                  </td>
                  <td>
                     &nbsp
                  </td>
               </tr>
               <tr>
                  <td>
                     &nbsp
                  </td>
                  <td>
                     &nbsp
                  </td>
                  <td>
                     <input type="button" class="ButtonText" onclick="installDotNet()" value=".Net Framework 2.0"
                        id="buttonDotNet" />
                     <a href="http://www.microsoft.com/downloads/details.aspx?familyid=0856eacb-4362-4b0d-8edd-aab15c5e04f5&displaylang=en#Overview"
                        target="_new"><font size="1" face="Verdana" color="#666666">詳細</font></a>
                  </td>
                  <td>
                     &nbsp
                  </td>
               </tr>
               <tr height="20">
                  <td colspan="4">
                     &nbsp
                  </td>
               </tr>
            </table>
         </td>
      </tr>
   </table>
</body>

</html>
